org.eclipse.jgit.notes

## Class NotesMergeConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.notes.NotesMergeConflictException

All Implemented Interfaces:
  Serializable

    public class NotesMergeConflictException
    extends IOException

This exception will be thrown from the `NoteMerger` when a conflict on Notes content is found during merge.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotesMergeConflictException(org.eclipse.jgit.notes.NonNoteEntry base, org.eclipse.jgit.notes.NonNoteEntry ours, org.eclipse.jgit.notes.NonNoteEntry theirs)` Constructs a NotesMergeConflictException for the specified base, ours and theirs versions of the root note tree.
`NotesMergeConflictException(Note base, Note ours, Note theirs)` Construct a NotesMergeConflictException for the specified base, ours and theirs note versions.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotesMergeConflictException

    public NotesMergeConflictException(Note base,
                                       Note ours,
                                       Note theirs)

Construct a NotesMergeConflictException for the specified base, ours and theirs note versions.

Parameters:
  `base` - note version
  `ours` - note version
  `theirs` - note version

#### NotesMergeConflictException

    public NotesMergeConflictException(org.eclipse.jgit.notes.NonNoteEntry base,
                                       org.eclipse.jgit.notes.NonNoteEntry ours,
                                       org.eclipse.jgit.notes.NonNoteEntry theirs)

Constructs a NotesMergeConflictException for the specified base, ours and theirs versions of the root note tree.

Parameters:
  `base` - version of the root note tree
  `ours` - version of the root note tree
  `theirs` - version of the root note tree